/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as i, createVNode as a } from "vue";
import { savePDF as p } from "../savePDF.mjs";
import { provideSaveGridPDF as g } from "./provideSaveGridPDF.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
const l = /* @__PURE__ */ i({
  name: "grid-pdf-export",
  props: {
    author: String,
    avoidLinks: [Boolean, String],
    forcePageBreak: String,
    keepTogether: String,
    creator: String,
    date: Date,
    imageResolution: Number,
    fileName: String,
    forceProxy: Boolean,
    keywords: String,
    landscape: Boolean,
    margin: [String, Object],
    pageTemplate: [Object, Function],
    paperSize: [String, Object],
    repeatHeaders: Boolean,
    scale: Number,
    proxyData: Object,
    proxyURL: String,
    proxyTarget: String,
    producer: String,
    subject: String,
    title: String
  },
  created() {
    this.saveGridPDF = g(this.getSavePDF());
  },
  methods: {
    save(t, n) {
      const r = o(this).filter((e) => e && e.tag && e.tag.toLowerCase().indexOf("grid") !== -1 || e.componentOptions && e.componentOptions.tag && e.componentOptions.tag.toLowerCase().indexOf("grid") !== -1 || e.type && e.type.name && e.type.name.toLowerCase().indexOf("grid") !== -1);
      r.length && (this.gridComponent = r[0], this.saveGridPDF(this.gridComponent, this.$props, n, t, !0));
    },
    getSavePDF() {
      return p;
    }
  },
  render() {
    const t = o(this);
    return a("div", null, [t]);
  }
});
export {
  l as GridPdfExport
};
