/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as i, createVNode as a } from "vue";
import { savePDF as s } from "../savePDF.mjs";
import { provideSaveTreeListPDF as p } from "./provideSaveTreeListPDF.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
const u = /* @__PURE__ */ i({
  name: "treelist-pdf-export",
  props: {
    author: String,
    avoidLinks: [Boolean, String],
    forcePageBreak: String,
    keepTogether: String,
    creator: String,
    date: Date,
    imageResolution: Number,
    fileName: String,
    forceProxy: Boolean,
    keywords: String,
    landscape: Boolean,
    margin: [String, Object],
    pageTemplate: [Object, Function],
    paperSize: [String, Object],
    repeatHeaders: Boolean,
    scale: Number,
    proxyData: Object,
    proxyURL: String,
    proxyTarget: String,
    producer: String,
    subject: String,
    title: String
  },
  created() {
    this.saveTreeListPDF = p(this.getSavePDF());
  },
  methods: {
    save(t, n) {
      const r = o(this).filter((e) => e && e.tag && e.tag.toLowerCase().indexOf("treelist") !== -1 || e.componentOptions && e.componentOptions.tag && e.componentOptions.tag.toLowerCase().indexOf("treelist") !== -1 || e.type && e.type.name && e.type.name.toLowerCase().indexOf("treelist") !== -1);
      r.length && (this.treeListComponent = r[0], this.saveTreeListPDF(this.treeListComponent, this.$props, n, t, !0));
    },
    getSavePDF() {
      return s;
    }
  },
  render() {
    const t = o(this);
    return a("div", null, [t]);
  }
});
export {
  u as TreeListPDFExport
};
